Author Topic: Upgrade from V2 RC to V2 stable  (Read 15482 times)

spamhub

  • Beginner
  • *
  • Posts: 6
Upgrade from V2 RC to V2 stable
« on: May 30, 2011, 16:10:53 pm »
Hi All,

I am about to start a new site development, just wondering if it is hard or easy to upgrade from VM 2 RC to the stable release once it has came out?

Thanks in advance.

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 28198
  • Always on vacation
    • Jenkin Hill Internet
Re: Upgrade from V2 RC to V2 stable
« Reply #1 on: May 30, 2011, 16:29:52 pm »
RC2 will have some database changes compared to RC1 so better to wait. That will be closer to the final release version. Also, my view is that it may be some time before many payment & shipping modules are available, especially if you were looking to use something less common.
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VirtueMart 3.8.9.10473 on Joomla 3.9.28 PHP 7.4.14

NordicElf

  • Beginner
  • *
  • Posts: 11
Re: Upgrade from V2 RC to V2 stable
« Reply #2 on: June 02, 2011, 07:56:22 am »
I developed a payment module for vm 1.x, do you think it's worth waiting in this case? I'm so eager to upgrade my site, very excited about vm 2!!!

jjk

  • Global Moderator
  • Sr. Member
  • *
  • Posts: 3733
  • using Matomo instead of Google Analytics
Re: Upgrade from V2 RC to V2 stable
« Reply #3 on: June 02, 2011, 11:19:39 am »
Did you read this info already?
http://dev.virtuemart.net/projects/virtuemart/wiki/Plugin_system
(Note that the goal to make VM2.0 compatible with J1.6 has been shifted to make it compatible with J1.7)
Non-English Shops: Are your language files up to date?
http://virtuemart.net/community/translations

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 10134
  • VM3.9 Eagle Owl
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: Upgrade from V2 RC to V2 stable
« Reply #4 on: June 05, 2011, 16:08:53 pm »
Be aware jjk that compatibility with j1.7 may also include j1.6.x.

In fact according to our teammember who wants to make it compatible to j1.6, vm2 (RC2) is already compatible. But I wouldnt use j1.6. Maybe nooku server is the better choice
Should I fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

jjk

  • Global Moderator
  • Sr. Member
  • *
  • Posts: 3733
  • using Matomo instead of Google Analytics
Re: Upgrade from V2 RC to V2 stable
« Reply #5 on: June 06, 2011, 09:37:25 am »
Be aware jjk that compatibility with j1.7 may also include j1.6.x.

Sounds good to me. I'll go with J1.7. since it will be released in 6 weeks from now. The J1.6 tracker (including the bugs) seems to be already closed and J1.7.alpha is available for download.
Non-English Shops: Are your language files up to date?
http://virtuemart.net/community/translations

da8iwr

  • Jr. Member
  • **
  • Posts: 192
    • New World Designs
Re: Upgrade from V2 RC to V2 stable
« Reply #6 on: June 21, 2011, 20:48:19 pm »
Sounds good to me. I'll go with J1.7. since it will be released in 6 weeks from now. The J1.6 tracker (including the bugs) seems to be already closed and J1.7.alpha is available for download.

This isn't entirely accurate, as so far nothing in Joomla has ever been released on time, especially a huge core system release. J1.6 was going to be released on "Friday", they just never said which Friday lol.
Ian Wright
My Design agency
www.NewWorldDesigns.co.uk
Design - CMS - Ecommerce – SEO

Virtuemart to Froogle / Google Base XML Feed
www.joomlagooglebase.com

jjk

  • Global Moderator
  • Sr. Member
  • *
  • Posts: 3733
  • using Matomo instead of Google Analytics
Re: Upgrade from V2 RC to V2 stable
« Reply #7 on: June 21, 2011, 22:28:47 pm »
...so far nothing in Joomla has ever been released on time...
That's correct - however, they apparently try to improve that. According to this schedule published some time ago they are currently a week behind:

05 June - Joomla alpha 1 released for public testing
10 June - Feature freeze to prepare for beta release
13 June - Joomla beta 1 to be released for public testing
27 June - Joomla beta 2 to be released for public testing
4 July - Version 11.1 of the Joomla Platform to be released
10 July - Joomla 1.7 GA released
10 August - Joomla 1.6 reaches end of life and is no longer supported

The latest update as of today is a note by Mark Dexter saying: "Beta 1 is planned to release on June 28. Version 1.7.0 is planned to
release on July 19. I personally think that is pretty close (9 days [late] out of 6 months)."
... ;) If I have to choose between a delayed stable version and a buggy version on schedule, I prefer the first.
For those who are using J1.6.3 already, they seem to be working on an update patch to 1.7.0. One nice thing starting in J1.7.0 is that they are finally able to include database changes with update patches.
Non-English Shops: Are your language files up to date?
http://virtuemart.net/community/translations

da8iwr

  • Jr. Member
  • **
  • Posts: 192
    • New World Designs
Re: Upgrade from V2 RC to V2 stable
« Reply #8 on: June 21, 2011, 23:00:05 pm »
I really hope this is correct, as i have put off upgrading many J1.5 sites as i would rather just do it directly to 1.7 and miss out the 1.6 version completely. Also i have my extensions which needs updating to work with V1.7 and VM 2.0 as i have written here
http://www.joomlagooglebase.com/google-base-faqs/does-it-work-in-j16
This is a huge problem for all extension developers, and we are kind of in a limbo at the moment with VM and Joomla. But will be superb when finished :)
Ian Wright
My Design agency
www.NewWorldDesigns.co.uk
Design - CMS - Ecommerce – SEO

Virtuemart to Froogle / Google Base XML Feed
www.joomlagooglebase.com

jjk

  • Global Moderator
  • Sr. Member
  • *
  • Posts: 3733
  • using Matomo instead of Google Analytics
Re: Upgrade from V2 RC to V2 stable
« Reply #9 on: June 22, 2011, 08:09:02 am »
There is a typo in your linked statement - "Joomla 1.5 and VirtueMart 2.0 - Do not work together." VM2 is primarily beeing developed on J1.5. At present I have the latest VM2 SVN version running on J1.5.23, J1.6.3 and J1.7Alpha...
Non-English Shops: Are your language files up to date?
http://virtuemart.net/community/translations

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 10134
  • VM3.9 Eagle Owl
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: Upgrade from V2 RC to V2 stable
« Reply #10 on: June 29, 2011, 19:16:56 pm »
Back to topic:

The RC2 will contain the akeeba release managment system, so you can directly update from RC2 to final. One of the reason that we do not call it final is to test things like migration and updating and for this we need a big userbase.

back to OT, lol

Clearify something, here a statement by the joomlateam:
"What happens to Joomla 1.6?

Joomla 1.7 is the direct upgrade for Joomla 1.6. Joomla 1.6 will be supported for critical security issues only for a period of one month after the release of Joomla 1.7. After that time, only Joomla 1.5 and Joomla 1.7 will be available for download and will be supported by the Joomla project."

That is exactly how we already look on j1.6, we try to stay compatible, but more thinking about j1.7 then j1.6 itself.

Should I fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/